use subxt::utils::H256;
use codec::Decode;
use serde::{Serialize, Deserialize};

#[derive(Debug, Default, Clone, PartialEq, Eq, Serialize, Deserialize, Decode)]
#[serde(rename_all = "camelCase")]
pub struct PeerInformation {
    pub peer_id: String,
    pub roles: String,
    pub best_hash: H256,
    pub best_number: u32,
}
